#
# spec file for package perl-MP4-Info (Version 1.13)
#
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#

Name:           perl-MP4-Info
Version:        1.13
Release:        2.2
License:        CHECK(GPL+ or Artistic)
%define cpan_name MP4-Info
Summary:        Fetch info from MPEG-4 files (.mp4, .m4a, .m4p, .3gp)
Url:            http://search.cpan.org/dist/MP4-Info/
Group:          Development/Libraries/Perl
Source0:        http://www.cpan.org/authors/id/J/JH/JHAR/MP4-Info-%{version}.tar.gz
BuildRequires:  perl(IO::String)
BuildRequires:  perl
#BuildRequires:  perl-macros
Requires:       perl(IO::String)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
The MP4::Info module can be used to extract tag and meta information from
MPEG-4 audio (AAC) and video files. It is designed as a drop-in replacement
for MP3::Info.

Note that this module does not allow you to update the information in
MPEG-4 files.

%prep
%setup -q -n %{cpan_name}-%{version}
find README -exec sed -i 's/\r//' {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc README

%changelog
* Fri Jul  8 2011 malcolmlewis@opensuse.org
- initial package 1.13
  * created by cpanspec 1.78.03
